Package wx :: Class CommandEvent

[frames | no frames]

## Type CommandEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    CommandEvent

Known Subclasses:
  `ChildFocusEvent`, `ClipboardTextEvent`, `CollapsiblePaneEvent`, `ColourPickerEvent`, `ContextMenuEvent`, `DateEvent`, `DynamicSashSplitEvent`, `DynamicSashUnifyEvent`, `FileDirPickerEvent`, `FindDialogEvent`, `FontPickerEvent`, `GridEditorCreatedEvent`, `HelpEvent`, `HtmlCellEvent`, `HtmlLinkEvent`, `HyperlinkEvent`, `NotifyEvent`, `PyCommandEvent`, `SashEvent`, `ScrollEvent`, `StyledTextEvent`, `TextUrlEvent`, `UpdateUIEvent`, `WebKitBeforeLoadEvent`, `WebKitStateChangedEvent`, `WindowCreateEvent`, `WindowDestroyEvent`

This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.

Method Summary
CommandEvent | ``__init__`(self, commandType, winid)` This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.
bool | ``Checked`(self)` This method can be used with checkbox and menu events: for the checkboxes, the method returns true for a selection event and false for a deselection one.
Event | `Clone(self)`
PyObject | ``GetClientData`(self)` Returns the client data object for a listbox or choice selection event, (if any.)
PyObject | ``GetClientObject`(self)` Returns the client data object for a listbox or choice selection event, (if any.)
long | ``GetExtraLong`(self)` Returns extra information dependant on the event objects type.
int | ``GetInt`(self)` Returns the integer identifier corresponding to a listbox, choice or radiobox selection (only if the event was a selection, not a deselection), or a boolean value representing the value of a checkbox.
int | ``GetSelection`(self)` Returns item index for a listbox or choice selection event (not valid for a deselection).
String | ``GetString`(self)` Returns item string for a listbox or choice selection event (not valid for a deselection).
bool | ``IsChecked`(self)` This method can be used with checkbox and menu events: for the checkboxes, the method returns true for a selection event and false for a deselection one.
bool | ``IsSelection`(self)` For a listbox or similar event, returns true if it is a selection, false if it is a deselection.
| ``SetClientData`(self, clientData)` Associate the given client data with the item at position n.
| ``SetClientObject`(self, clientData)` Associate the given client data with the item at position n.
| `SetExtraLong(self, extraLong)`
| `SetInt(self, i)`
| `SetString(self, s)`

Property Summary
| `ClientData`: See `GetClientData` and `SetClientData`
| `ClientObject`: See `GetClientObject` and `SetClientObject`
| `ExtraLong`: See `GetExtraLong` and `SetExtraLong`
| `Int`: See `GetInt` and `SetInt`
| `Selection`: See `GetSelection`
| `String`: See `GetString` and `SetString`
| `thisown`: The membership flag

Method Details

### __init__(self, commandType=wxEVT_NULL, winid=0)
(Constructor)

This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    CommandEvent
  Overrides:
    `wx.Event.__init__`

### Checked(self)

This method can be used with checkbox and menu events: for the checkboxes, the method returns true for a selection event and false for a deselection one. For the menu events, this method indicates if the menu item just has become checked or unchecked (and thus only makes sense for checkable menu items).

  Returns:
    bool

### GetClientData(self)

Returns the client data object for a listbox or choice selection event, (if any.)

  Returns:
    PyObject

### GetClientObject(self)

Returns the client data object for a listbox or choice selection event, (if any.)

  Returns:
    PyObject

### GetExtraLong(self)

Returns extra information dependant on the event objects type. If the event comes from a listbox selection, it is a boolean determining whether the event was a selection (true) or a deselection (false). A listbox deselection only occurs for multiple-selection boxes, and in this case the index and string values are indeterminate and the listbox must be examined by the application.

  Returns:
    long

### GetInt(self)

Returns the integer identifier corresponding to a listbox, choice or radiobox selection (only if the event was a selection, not a deselection), or a boolean value representing the value of a checkbox.

  Returns:
    int

### GetSelection(self)

Returns item index for a listbox or choice selection event (not valid for a deselection).

  Returns:
    int

### GetString(self)

Returns item string for a listbox or choice selection event (not valid for a deselection).

  Returns:
    String

### IsChecked(self)

This method can be used with checkbox and menu events: for the checkboxes, the method returns true for a selection event and false for a deselection one. For the menu events, this method indicates if the menu item just has become checked or unchecked (and thus only makes sense for checkable menu items).

  Returns:
    bool

### IsSelection(self)

For a listbox or similar event, returns true if it is a selection, false if it is a deselection.

  Returns:
    bool

### SetClientData(self, clientData)

Associate the given client data with the item at position n.

  Parameters:
    `clientData`
    (type=PyObject)

### SetClientObject(self, clientData)

Associate the given client data with the item at position n.

  Parameters:
    `clientData`
    (type=PyObject)

Property Details

### ClientData

See `GetClientData` and `SetClientData`

  Get Method:
    `GetClientData`(self)
  Set Method:
    `SetClientData`(self, clientData)

### ClientObject

See `GetClientObject` and `SetClientObject`

  Get Method:
    `GetClientData`(self)
  Set Method:
    `SetClientData`(self, clientData)

### ExtraLong

See `GetExtraLong` and `SetExtraLong`

  Get Method:
    `GetExtraLong`(self)
  Set Method:
    `SetExtraLong`(self, extraLong)

### Int

See `GetInt` and `SetInt`

  Get Method:
    `GetInt`(self)
  Set Method:
    `SetInt`(self, i)

### Selection

See `GetSelection`

  Get Method:
    `GetSelection`(self)

### String

See `GetString` and `SetString`

  Get Method:
    `GetString`(self)
  Set Method:
    `SetString`(self, s)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:42 2007 | http://epydoc.sf.net